## statsmodels 0.12.2

=== requirements.txt ===
numpy>=1.15
scipy>=1.2
pandas>=0.23
patsy>=0.5.1
