=== debian/changelog ===
statsmodels (0.12.2-1) unstable; urgency=medium

  * Upstream bugfix release.  Drop / refresh patches.
  * Don't use the multiarch path for architecture detection.  Closes: #973854.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 06 Feb 2021 16:48:16 +0000
