=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/g;s/dev/~dev/g,filenamemangle=s/.*\/(.*)/statsmodels-$1/" \
 https://github.com/statsmodels/statsmodels/tags .*archive/v?(\d[\d.]+)\.tar\.gz
