=== debian/changelog ===
statsmodels (0.13.1+dfsg-4) unstable; urgency=medium

  * Warn that DynamicFactor may give wrong results on armhf
    and xfail tests.
  * Update Lintian overrides.
  * Fix pyversions call.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 05 Feb 2022 17:46:33 +0000

statsmodels (0.13.1+dfsg-3) unstable; urgency=medium

  * Warn on import and ignore (crashing) tests on mips64el,
    and not on armel (see #968210).
  * Remove obsolete rules code and nose test-depends.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 17 Dec 2021 22:32:59 +0000

statsmodels (0.13.1+dfsg-2) unstable; urgency=medium

  * Docs: use *_path and symlinks for local JavaScript,
    instead of (broken by CORS) sed replacements.
  * Xfail another possible rounding issue on i386.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 29 Nov 2021 22:05:33 +0000

statsmodels (0.13.1+dfsg-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Update watch file.
  * Update d/copyright, exclude possibly illegal data file.
  * Xfail some probable rounding issues.  Closes: #997081.
  * Docs: update MathJax URL replacement.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 28 Nov 2021 16:30:27 +0000

statsmodels (0.12.2-2) unstable; urgency=medium

  * Fix test failures with scipy 1.7.  Closes: #992681.
  * README.source: update upstream branch name.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 29 Aug 2021 20:09:28 +0100
