=== debian/rules ===
--- 
+++ 
@@ -47,14 +47,6 @@
 	STATSMODELS_DATA=$(CURDIR)/build/datacache/ \
 	 LC_ALL=C.UTF-8 make -C docs html
 	mv docs/build/* build/
-	: # Fix up links to MathJax to be local
-	grep -l '/mathjax/' -R build/html/examples/notebooks \
-	| xargs -r sed -i -e 's,https://\S*.org/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
-	: # Replace require
-	grep -l '/require\.js/' -R build/html/examples/notebooks \
-	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/require.js/.*/require.min.js,file:///usr/share/javascript/requirejs/require.min.js,g'
-	grep -l '/jquery/' -R build/html/examples/notebooks \
-	| xargs -r sed -i -e 's,https://\S*.com/ajax/libs/jquery/.*/jquery.min.js,file:///usr/share/javascript/jquery/jquery.min.js,g'
 	: # replace timestamps and build paths in examples output for reproducibility
 	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb" -o -name "*.ipynb.txt"` ; do \
 	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/statsmodels/#/usr/lib/python3/dist-packages/statsmodels/#g' \
@@ -66,10 +58,6 @@
 override_dh_installdocs:
 	rm -rf docs/source/generated/
 	dh_installdocs
-	for html in `find debian -name "*.html"` ; do \
-	    sed -i 's#https://cdnjs\..*/mathjax/.*/MathJax.js\(?config=TeX.*L">\)#file:///usr/share/javascript/mathjax/MathJax.js\1#' $${html} ; \
-	    sed -i 's#https://cdnjs\..*/mathjax/.*/latest.js#file:///usr/share/javascript/mathjax/unpacked/latest.js#' $${html} ; \
-	done
 
 override_dh_auto_clean:
 	# this would try to run setup.py clean, which is an error: dh_auto_clean
@@ -111,14 +99,14 @@
 # the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
-# Tests are ignored (and expected to crash) on armel, #968210
+# Tests are ignored (and expected to crash) on mips64el, #968210
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
 	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
 	rm -rf $${testpath}/.pytest_cache ; \
-	done ; done ; [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
+	done ; done ; [ `dpkg --print-architecture` = mips64el ] || $${TEST_SUCCESS}
 endif
 
 ## immediately useable documentation and exemplar scripts/data
@@ -142,16 +130,6 @@
 	     mv $$lib $$tdir ; \
 	  done ; \
 	done
-	: # Prune scikits/__init__.py to avoid conflicts
-	find debian -wholename \*scikits/__init__.py -delete
-	: # Move scikits. space into a compatibility package
-	set -e; \
-	find debian -wholename \*scikits -type d | while read skd; do \
-		skbd=$$(dirname $$skd); \
-		skbd_=$$(echo $$skbd | sed -e 's/python3-statsmodels/python3-scikits.statsmodels/g'); \
-		mkdir -p $$skbd_; \
-		mv $$skd $$skbd_; \
-	done
 	dh_numpy3
 
 override_dh_fixperms:
