=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: upstreamtests
-Depends: python3-all, python3-statsmodels, python3-nose, python3-pytest,
+Depends: python3-all, python3-statsmodels, python3-pytest,
             python3-matplotlib,
             python3-joblib,
             python3-colorama,
