## statsmodels 0.13.2+dfsg

=== requirements.txt ===
numpy>=1.17
scipy>=1.3
pandas>=0.25
patsy>=0.5.2
packaging>=21.3
