=== debian/changelog ===
statsmodels (0.13.2+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches.
  * Enable Salsa CI.
  * Warn that ETSModel may give wrong results on 32-bit and xfail test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 20 Feb 2022 20:03:58 +0000

statsmodels (0.13.1+dfsg-5) unstable; urgency=medium

  * Warn on import and ignore (crashing) tests on armel (see #968210).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Feb 2022 19:08:08 +0000
