=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
