## statsmodels 0.13.5+dfsg

=== requirements.txt ===
# Workaround for scipy build requirement
numpy>=1.22.3; python_version=="3.10" and platform_system=="Windows" and platform_python_implementation != "PyPy"
numpy>=1.17; python_version!="3.10" or platform_system!="Windows" or platform_python_implementation=="PyPy"
# 1.8+ Not available for 3.7
scipy>=1.3,<1.8; python_version=="3.7"
# 1.9+ Not available for 32-bit windows, so use 1.8 for all 3.8 & 3.9 w/ 32-bit Windows
scipy>=1.3,<1.9; python_version=="3.8" and platform_system=="Windows" and platform_machine=="x86"
scipy>=1.3,<1.9; python_version=="3.9" and platform_system=="Windows" and platform_machine=="x86"
scipy>=1.3; (python_version>"3.9" or platform_system!="Windows" or platform_machine!="x86") and python_version<"3.12"
pandas>=0.25
patsy>=0.5.2
packaging>=21.3
