=== debian/changelog ===
statsmodels (0.13.5+dfsg-7) unstable; urgency=medium

  * Tests: relax a tolerance to avoid randomly failing on s390x.
  * Docs: fix broken link.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 14 Feb 2023 22:28:59 +0000

statsmodels (0.13.5+dfsg-6) unstable; urgency=medium

  * Tests: ignore a non-convergence on mipsel.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 04 Feb 2023 20:49:19 +0000

statsmodels (0.13.5+dfsg-5) unstable; urgency=medium

  * Tests: don't crash on 32-bit systems.  (Closes: #1030208)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 01 Feb 2023 21:31:58 +0000

statsmodels (0.13.5+dfsg-4) unstable; urgency=medium

  * Tests: fix missing import.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Jan 2023 23:51:04 +0000

statsmodels (0.13.5+dfsg-3) unstable; urgency=medium

  * Tests: depend on jinja2, reduce random failures,
    ignore a non-warning on mips*.
  * Don't try to load intersphinx links from python-numpy-doc,
    as it no longer exists.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Jan 2023 19:32:55 +0000

statsmodels (0.13.5+dfsg-2) unstable; urgency=medium

  * Don't try to load intersphinx links from python-matplotlib-doc,
    as it no longer exists.  (Closes: #1027537)
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 05 Jan 2023 20:34:52 +0000

statsmodels (0.13.5+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Drop / refresh patches, d/copyright.
  * Update Build-Depends.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Tests: remove xfails that appear to no longer be needed.
  * Tests: loosen tolerance on TestDynamicFactor_ar2_errors as it
    appears to be unstable.  (Closes: #1020060, #1014278)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 30 Nov 2022 21:29:37 +0000

statsmodels (0.13.2+dfsg-4) unstable; urgency=medium

  * Tests: increase one error tolerance.  (Closes: #1014884)
  * Update Lintian override format (see #1007002).
  * Remove no longer needed Lintian / Salsa CI overrides.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 24 Jul 2022 17:51:07 +0100

statsmodels (0.13.2+dfsg-3) unstable; urgency=medium

  * Add s390x to DynamicFactor warning/xfail (workaround for #1014278).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Jul 2022 11:15:30 +0100

statsmodels (0.13.2+dfsg-2) unstable; urgency=medium

  * Tests: ignore a probable rounding issue.  (Closes: #1008301)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 27 Mar 2022 12:20:47 +0100
