=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
 Build-Depends: debhelper-compat (= 13),
                sphinx-common,
                dh-python (>= 3.20180313~),
-               cython3,
+               cython3 (>= 0.29.32~),
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,
                python3-cvxopt <!nocheck> <!nodoc>,
                python3-dateutil <!nocheck> <!nodoc>,
+               python3-jinja2 <!nocheck> <!nodoc>,
                python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
                python3-numpy,
@@ -23,6 +24,8 @@
                python3-pytest-forked <!nocheck>,
                python3-scipy,
                python3-setuptools,
+               python3-setuptools-scm,
+               python3-setuptools-scm-git-archive,
                python3-tk <!nocheck> <!nodoc>
 Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                      python3-nbconvert <!nodoc>,
@@ -35,8 +38,8 @@
                      python3-yaml <!nodoc>,
                      jdupes <!nodoc>,
 # for intersphinx inventories
-                     python-matplotlib-doc <!nodoc>,
-                     python-numpy-doc <!nodoc>,
+# no longer exists                     python-matplotlib-doc <!nodoc>,
+# no longer exists                     python-numpy-doc <!nodoc>,
                      python-scipy-doc <!nodoc>,
                      python-pandas-doc <!nodoc>,
                      python3-doc <!nodoc>,
@@ -51,7 +54,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
