=== debian/rules ===
--- 
+++ 
@@ -99,14 +99,14 @@
 # the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
-# Tests are ignored (and expected to possibly crash) on armel and mips64el, #968210
+# Tests are ignored (and expected to possibly crash) on armel, #968210
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
 	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
 	rm -rf $${testpath}/.pytest_cache ; \
-	done ; done ; [ `dpkg --print-architecture` = mips64el ] || [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
+	done ; done ; [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
 endif
 
 ## immediately useable documentation and exemplar scripts/data
