=== debian/changelog ===
statsmodels (0.14.0+dfsg-4) unstable; urgency=medium

  * clean: remove all generated files. (Closes: #1047280)
  * Stop build-depending on python3-setuptools-scm-git-archive.
    (Closes: #1050104)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 19 Aug 2023 21:59:16 +0100

statsmodels (0.14.0+dfsg-3) unstable; urgency=medium

  * Tests: fix bugs in the preceding exclusions.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 04 Aug 2023 18:42:09 +0100

statsmodels (0.14.0+dfsg-2) unstable; urgency=medium

  * Tests: ignore out-of-memory error.
  * Tests: ignore armel's lack of division-by-0 warnings and
    corr_nearest_factor non-convergence, but not all the armel tests.
  * Tests: ignore mips*'s extra multiply-by-NaN warnings.
  * Tests: ignore i386 probable rounding/instability/overflow issues.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 03 Aug 2023 22:28:34 +0100

statsmodels (0.14.0+dfsg-1) experimental; urgency=medium

  * New upstream release.  Drop/refresh patches, d/copyright.
  * Upload to experimental, as of unknown compatibility.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 23 Jul 2023 12:01:09 +0100
