=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                sphinx-common,
                dh-python (>= 3.20180313~),
                cython3 (>= 0.29.32~),
+# tries to build twice (arch/indep), which fails               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,
                python3-cvxopt <!nocheck> <!nodoc>,
@@ -24,8 +25,7 @@
                python3-pytest-forked <!nocheck>,
                python3-scipy,
                python3-setuptools,
-               python3-setuptools-scm,
-               python3-setuptools-scm-git-archive,
+               python3-setuptools-scm (>= 7~),
                python3-tk <!nocheck> <!nodoc>
 Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                      python3-nbconvert <!nodoc>,
