=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,8 @@
 override_dh_auto_build-arch: $(HOME)
 	dh_auto_build
 
-override_dh_auto_build-indep: $(HOME)
-	: # Documentation depends on built package
-	dh_auto_build
+override_dh_auto_build-indep: $(HOME) override_dh_auto_build-arch
+	: # above dependency is because documentation depends on built package
 	: # I: Generate documentation
 	: # Build Documentation -- assure existence of build/html for nodoc
 	: # Reproducibility: stopping the clock (or slowing it down enough to get all 00:00:00) with faketime (near-)hangs in glm_weights.ipynb
@@ -76,13 +75,14 @@
 	       docs/source/dev/generated \
 	       docs/source/datasets/statsmodels.datasets.*.rst \
 	       docs/source/examples/notebooks/generated \
+	       docs/source/examples/index.rst \
 	       examples/executed \
 	       tools/hash_dict.pickle
 	find . -name __pycache__ -print0 | xargs -0 rm -rf
 	find . -name *.pyx -print0 | sed -e "s/\.pyx/.c/g" | xargs -0 rm -f
 	find . -name *.pyx.in -print0 | sed -e "s/\.pyx\.in/.pyx/g" | xargs -0 rm -f
 	: # Remove autogenerated version.py
-	rm -f statsmodels/version.py
+	rm -f statsmodels/version.py statsmodels/_version.py docs/source/examples/index.rst
 
 override_dh_install:
 	dh_install
@@ -99,14 +99,13 @@
 # the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
 # the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
 # TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
-# Tests are ignored (and expected to possibly crash) on armel, #968210
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
-	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
+	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do PYTHONPATH=$${testpath}/.. python3 $(CURDIR)/debian/check_truncated_poisson.py ; \
 	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
 	rm -rf $${testpath}/.pytest_cache ; \
-	done ; done ; [ `dpkg --print-architecture` = armel ] || $${TEST_SUCCESS}
+	done ; done ; $${TEST_SUCCESS}
 endif
 
 ## immediately useable documentation and exemplar scripts/data
