=== debian/changelog ===
statsmodels (0.14.1+dfsg-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:38:22 +0000

statsmodels (0.14.1+dfsg-2) unstable; urgency=medium

  * Tests: ignore DynamicFactorMQ exception on big-endian systems.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Jan 2024 09:38:29 +0000

statsmodels (0.14.1+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Drop patch no longer needed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 20 Jan 2024 13:41:10 +0000

statsmodels (0.14.0+dfsg-6) unstable; urgency=medium

  * Fix another issue with Cython 3.0.  As one still remains,
    use cython3-legacy (workaround for #1056891).
  * Tests: properly ignore i386 nonconvergence.
  * Docs reproducibility: fix another random seed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 12 Dec 2023 20:07:17 +0000

statsmodels (0.14.0+dfsg-5) unstable; urgency=medium

  * Allow building with Cython 3.0 (Closes: LP: #2043284) and cp 9.2.
  * Docs reproducibility: strip object addresses, fix random seeds.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 11 Nov 2023 20:34:28 +0000
