=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                sphinx-common,
                dh-python (>= 3.20180313~),
-               cython3 (>= 0.29.32~),
+               cython3-legacy (>= 0.29.32~),
 # tries to build twice (arch/indep), which fails               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,
