## statsmodels 0.14.2+dfsg

=== requirements.txt ===
# Workaround for scipy build requirements
numpy >=1.22.3  # released March 2022
scipy>=1.8,!=1.9.2  # released Feb 2022
pandas>=1.4,!=2.1.0  # released Feb 2022, 2.1.0 blocked due to bug
patsy>=0.5.6  # released December 2023
packaging>=21.3  # released Nov 2021
