=== debian/changelog ===
statsmodels (0.14.2+dfsg-2) unstable; urgency=medium

  * Tests: ignore TestZeroInflatedModel_probit.test_fit_regularized
    non-convergence. (Closes: #1079789)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 01 Sep 2024 11:18:24 +0100

statsmodels (0.14.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1056891)
  * Refresh patches, d/copyright, dependencies.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Tests: increase i386 TestMixedLM.test_compare_numdiff tolerance,
    remove no longer needed check script.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Apr 2024 20:55:32 +0100
