## statsmodels 0.14.3+dfsg

=== debian/changelog ===
statsmodels (0.14.3+dfsg-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 21 Sep 2024 12:58:14 +0100
