=== debian/changelog ===
statsmodels (0.14.4+dfsg-1ubuntu1) resolute; urgency=medium

  * Disable build-time tests for first build with Python 3.14

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 24 Oct 2025 13:10:19 +0000

statsmodels (0.14.4+dfsg-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:18:59 +0000

statsmodels (0.14.4+dfsg-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:15:03 +0000

statsmodels (0.14.4+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 20:17:33 +0000

statsmodels (0.14.4+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:54:11 +0100

statsmodels (0.14.4+dfsg-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 05 Oct 2024 11:43:25 +0100
