=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: statsmodels
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Diane Trout <diane@ghic.org>,
@@ -9,7 +10,7 @@
 Build-Depends: debhelper-compat (= 13),
                sphinx-common,
                dh-python (>= 3.20180313~),
-               cython3-legacy (>= 0.29.32~),
+               cython3 (>= 3.0.10~),
 # tries to build twice (arch/indep), which fails               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,
@@ -18,14 +19,17 @@
                python3-jinja2 <!nocheck> <!nodoc>,
                python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
-               python3-numpy,
-               python3-pandas,
-               python3-patsy (>= 0.5.1) <!nocheck> <!nodoc>,
+# when we have numpy>=2 + scipy>=1.13, statsmodels will need to be rebuilt, because C extensions built against numpy 2.x work in 1.x but not the reverse - numpy doc/source/dev/depending_on_numpy.rst, statsmodels issue #9194
+               python3-numpy (>= 1:1.22.3~),
+               python3-packaging (>= 21.3~),
+               python3-pandas (>= 1.4~),
+               python3-patsy (>= 0.5.6~) <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-forked <!nocheck>,
-               python3-scipy,
+               python3-scipy (>= 1.9.3~),
+# upstream want setuptools >=69.0.2 but we don't have that
                python3-setuptools,
-               python3-setuptools-scm (>= 7~),
+               python3-setuptools-scm (>= 8~),
                python3-tk <!nocheck> <!nodoc>
 Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                      python3-nbconvert <!nodoc>,
@@ -54,7 +58,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
@@ -94,13 +98,11 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-numpy,
-# upstream say >1.2 but the amd64 autopkgtest failure happens with 1.4 not 1.5
-# maybe the real problem is what scipy was built with
-         python3-scipy (>= 1.5~),
+         python3-numpy (>= 1:1.22.3~),
+         python3-scipy (>= 1.9.3~),
          python3-statsmodels-lib (>= ${source:Version}),
-         python3-patsy (>= 0.5.1),
-         python3-pandas
+         python3-patsy (>= 0.5.6~),
+         python3-pandas (>= 1.4~)
 Recommends: python3-matplotlib,
             python3-joblib,
             python3-colorama,
